import React from 'react'
import ReactDOM from 'react-dom'
import NavBar from './navbar.jsx'
import MovieList from './movie-list.jsx'
import { Router, Route, IndexRoute, Link, hashHistory } from 'react-router'

class App extends React.Component {
  render() {
    return (
      <div>
        <div className="navbar navbar-inverse navbar-fixed-top">
          <NavBar />
        </div>
        <div className="container-fluid">
          <div className="container">
            {this.props.children}
          </div>
        </div>
      </div>
    );
  }
}

ReactDOM.render((
  <Router history={hashHistory}>
    <Route path="/" component={App}>
      <IndexRoute component={MovieList} />
      <Route path="/movies/popular" component={MovieList} />
    </Route>
  </Router>
),document.getElementById('app'));
